%define final_version	%(echo %version | sed -e 's;~.*;;')
%define alpha_version	%(echo %version | sed -n -e 's;.*~;;p')
%define alpha_url	%(echo %version | sed -n -e 's;.*~a.*;alpha/;p')

%if 0%{?rhel} == 5
%global perms_cdda2wav %attr(4755, root, root)
%global perms_cdrecord %attr(4755, root, root)
%global perms_readcd %attr(4755, root, root)
%else
%global perms_cdda2wav %caps(cap_dac_override,cap_sys_admin,cap_sys_nice,cap_net_bind_service,cap_sys_rawio+ep)
%global perms_cdrecord %caps(cap_sys_resource,cap_dac_override,cap_sys_admin,cap_sys_nice,cap_net_bind_service,cap_ipc_lock,cap_sys_rawio+ep)
%global perms_readcd %caps(cap_dac_override,cap_sys_admin,cap_net_bind_service,cap_sys_rawio+ep)
%endif

Name:		cdrtools
Version:	3.02a09
Release:	%mkrel 1
Epoch:		10
Summary:	CD/DVD/Blu-ray command line recording software

Group:		Applications/Archiving
License:	CDDL-Schily, GPL-2.0 and LGPL-2.1
URL:		http://cdrtools.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:	http://downloads.sourceforge.net/project/cdrtools/%{?alpha_url}%{name}-%{final_version}%{?alpha_version}.tar.bz2

#BuildRequires:  gettext-devel
BuildRequires:  glibc-devel
BuildRequires:  libacl-devel
%if 0%{?fedora} || 0%{?rhel} >= 6
BuildRequires:  libcap-devel
%endif

%description
A set of command line programs that allows to record CD/DVD/Blu-ray media.

%package -n btcflash
Summary:        Firmware flash utility for BTC DRW1008 DVD+/-RW recorder
License:	CDDL-1.0
Group:          Applications/Archiving
Requires:       %{name}-libs = %{?epoch}:%{version}-%{release}

%description -n btcflash
Btcflash is used to read update the Firmware for a BTC DRW1008
DVD+/-RW recorder. Be very careful when writing firmware as this
program does not check for the correctness of the target device.
Built from clean sources without patches.

%package -n cdda2wav
Summary:        A CD Digital Audio Extraction tool
License:	CDDL-1.0 (main program) and LGPL-2.1 (libparanoia)
Group:          Applications/Multimedia
Requires:       %{name}-libs = %{?epoch}:%{version}-%{release}
Obsoletes:      icedax < %{epoch}: 
Provides:       icedax = %{epoch}:

%description -n cdda2wav
The most evolved CD-audio extraction program with paranoia support.

%package -n cdrecord
Summary:        A CD/DVD/BD recording program
License:	CDDL-1.0
Group:          Applications/Archiving
Requires:       %{name}-libs = %{?epoch}:%{version}-%{release}
Obsoletes:      wodim < %{epoch}:
Provides:       wodim = %{epoch}:

%description -n cdrecord
A set of command line programs that allows to record CD/DVD/Blu-ray media.

%package -n mkisofs
Summary:        A program to generate an ISO-9660/Joliet/HFS/UDF hybrid filesystem
License:	GPL-2.0 (main program) and CDDL-1.0 (libscg)
Group:          Applications/Archiving
Requires:       %{name}-libs = %{?epoch}:%{version}-%{release}
Obsoletes:      genisoimage < %{epoch}:
Provides:       genisoimage = %{epoch}:

%description -n mkisofs
Create hybrid ISO-9660/Joliet/HFS/UDF file systems with Rock Ridge attributes.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{?epoch}:%{version}-%{release}

%description devel
This package provides the development files of the %{name} package.

%package libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries
Requires(post): ldconfig

%description libs
This package provides the shared libraries for %{name}.

%prep
%setup -q -n %name-%{final_version}

# We don't need to build profiled libs
rm -f lib*/*_p.mk

# Convert files to utf8 for german letters
for i in $(find . -name "*.[18]") \
    cdda2wav/{README,THANKS} cdrecord/README* BUILD ABOUT INSTALL \
    CONTRIBUTING Changelog COMPILE AN-* mkisofs/ChangeLog; do
    iconv -f iso-8859-1 $i -t utf-8 -o $i.new && mv -f $i.new $i
done

%build
make GMAKE_NOWARN=true LINKMODE=dynamic RUNPATH= CPPOPTX="$RPM_OPT_FLAGS" \
    COPTX="$RPM_OPT_FLAGS -DTRY_EXT2_FS -finput-charset=ISO-8859-1 -fexec-charset=UTF-8" \
    INS_BASE=%{_prefix} INS_RBASE=/
make GMAKE_NOWARN=true LINKMODE=dynamic RUNPATH= CPPOPTX="$RPM_OPT_FLAGS" \
    COPTX="$RPM_OPT_FLAGS -DTRY_EXT2_FS -finput-charset=ISO-8859-1 -fexec-charset=UTF-8" \
    INS_BASE=%{_prefix} INS_RBASE=/ -C mkisofs -f apple_driver.mk
make GMAKE_NOWARN=true LINKMODE=dynamic RUNPATH= CPPOPTX="$RPM_OPT_FLAGS" \
    COPTX="$RPM_OPT_FLAGS -DTRY_EXT2_FS -finput-charset=ISO-8859-1 -fexec-charset=UTF-8" \
    INS_BASE=%{_prefix} INS_RBASE=/ -C mkisofs -f apple_driver_man.mk

%install
rm -rf %{buildroot}
make GMAKE_NOWARN=true LINKMODE=dynamic INS_BASE=%{_prefix} INS_RBASE=/ \
    DESTDIR=%{buildroot} install
make GMAKE_NOWARN=true LINKMODE=dynamic INS_BASE=%{_prefix} INS_RBASE=/ \
    DESTDIR=%{buildroot} install -C mkisofs -f apple_driver.mk
make GMAKE_NOWARN=true LINKMODE=dynamic INS_BASE=%{_prefix} INS_RBASE=/ \
    DESTDIR=%{buildroot} install -C mkisofs -f apple_driver_man.mk

# Remove unused libraries
rm -f %{buildroot}%{_prefix}/lib/lib*.a
# Remove makefiles and makerules manpages
rm -fr %{buildroot}%{_mandir}/man5
# Install documents directly from the files section
rm -fr %{buildroot}%{_docdir}

# Move libraries to the appropriate place on 64 bit arches
if [ %{_libdir} != %{_prefix}/lib ]; then 
    mkdir -p %{buildroot}%{_libdir}
    mv %{buildroot}%{_prefix}/lib/lib*.so* %{buildroot}%{_libdir}
fi

chmod 755 %{buildroot}%{_libdir}/lib*.so*

%clean
rm -rf %{buildroot}

%post
%{_sbindir}/setcap cap_sys_resource,cap_dac_override,cap_sys_admin,cap_sys_nice,cap_net_bind_service,cap_ipc_lock,cap_sys_rawio+ep /usr/local/bin/cdrecord
%{_sbindir}/setcap cap_dac_override,cap_sys_admin,cap_sys_nice,cap_net_bind_service,cap_sys_rawio+ep /usr/local/bin/cdda2wav
%{_sbindir}/setcap cap_dac_override,cap_sys_admin,cap_net_bind_service,cap_sys_rawio+ep /usr/local/bin/readcd

%pre
update-alternatives --remove cdrecord %{_bindir}/wodim
update-alternatives --remove cdrecord %{_bindir}/cdrskin
update-alternatives --remove mkisofs %{_bindir}/genisoimage
update-alternatives --remove mkhybrid %{_bindir}/genisoimage
update-alternatives --remove mkisofs %{_bindir}/xorriso
update-alternatives --remove cdda2wav %{_bindir}/icedax
update-alternatives --remove readcd %{_bindir}/readom

%preun
update-alternatives --install %{_bindir}/cdda2wav cdda2wav %{_bindir}/icedax 10 \
    --slave %_mandir/man1/cdda2wav.1%{_extension} cdda2wav.1%{_extension} %_mandir/man1/icedax.1%{_extension}

update-alternatives --install %{_bindir}/cdrecord cdrecord %{_bindir}/wodim 10 \
    --slave %_mandir/man1/cdrecord.1%{_extension} cdrecord.1%{_extension} %_mandir/man1/wodim.1%{_extension}
update-alternatives --install %{_bindir}/readcd readcd %{_bindir}/readom 10 \
    --slave %_mandir/man1/readcd.1%{_extension} readcd.1%{_extension} %_mandir/man1/readom.1%{_extension}

update-alternatives --install %{_bindir}/mkisofs mkisofs %{_bindir}/genisoimage 10 \
    --slave %_mandir/man1/mkisofs.1%{_extension} mkisofs.1%{_extension} %_mandir/man1/genisoimage.1%{_extension}
update-alternatives --install %{_bindir}/mkhybrid mkhybrid %{_bindir}/genisoimage 10 \
    --slave %_mandir/man1/mkhybrid.1%{_extension} mkhybrid.1%{_extension} %_mandir/man1/genisoimage.1%{_extension}

%files
/usr/bin/*
/usr/include/scg/*
/usr/include/schily/*
/usr/include/schily/i686-linux-cc/*
/usr/sbin/rscsi
/usr/lib/*
/usr/lib/siconv/*
/usr/share/man/man1/*
/usr/share/man/man3/*
/usr/share/man/man8/*
%{_sysconfdir}/default/cdrecord
%{_sysconfdir}/default/rscsi

%changelog
* Fri Oct 12 2018 adrianomorselli <adrianomorselli> 3.02a09-1uplos2018
- imported for uplos
